# Function parse

- parse(name: any): any

  Given a dotted property name, returns a function that returns a nested property from an object, or undefined let obj = { id: 1, nestedObj: { foo: 1, name: "blarg" }, }; let getName = prop("nestedObj.name"); getName(obj) === "blarg" let propNotFound = prop("this.property.doesnt.exist"); propNotFound(obj) === undefined

  #### Parameters

  - name: any

  #### Returns any

  - Defined in src/shared/hof.js:93